Proxies API

Manage your proxy pool via the API.

List Proxies

GET /proxies?workspaceId=WORKSPACE_ID

curl https://api.meetlogin.com/api/v1/proxies \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -G -d workspaceId=WORKSPACE_ID

Add a Proxy

POST /proxies

curl -X POST https://api.meetlogin.com/api/v1/proxies \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "workspaceId": "WORKSPACE_ID",
    "type": "socks5",
    "host": "proxy.example.com",
    "port": 1080,
    "username": "user",
    "password": "pass"
  }'

Check a Proxy

POST /proxies/:id/check

curl -X POST https://api.meetlogin.com/api/v1/proxies/PROXY_ID/check \
  -H "Authorization: Bearer YOUR_API_KEY"

Delete a Proxy

DELETE /proxies/:id

curl -X DELETE https://api.meetlogin.com/api/v1/proxies/PROXY_ID \
  -H "Authorization: Bearer YOUR_API_KEY"